Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0011649Skyward Collapse[All Projects] Balance IssueMay 23, 2013 7:37 pmMay 24, 2013 3:56 pm
ReporterMisery 
Assigned Tox4000 
Severityminor 
StatusresolvedResolutionfixed 
Product Version1.001 
Fixed in Version1.002 Hunting Through Rubble 
Summary0011649: Brokkr and Norns much too easy to use
DescriptionBoth of these are VERY strong effects, making many things free for the player. They're a bit like Palladium in that they're a beneficial effect ONLY, providing no downside, risk, or imbalance.

I'm thinking one of two things should be done here:

1. Give these a secondary effect that adds an element of risk, whatever that may be. Spawning bandits or exploding buildings or whatever. This is the most interesting solution, at least to me, heh.

2. Do as you did with Palladium, and give these both a strong negative score value, as well as a heavy cooldown time; currently both have a cooldown of 10 turns, which.... yeah, not nearly enough for this type of power.

Both of these tokens are quite useful, but both are wayyyyy overpowered right now due to their ease of use and lack of downsides.
TagsNo tags attached.
Internal WeightNew
Attached Files

- Relationships

-  Notes
(0032595)
Cinth (reporter)
May 23, 2013 8:41 pm

They are very expensive already (more so than the Greek 2). Bokkr usually has the effect of causing my military producers to put out units I don't want out.
Norns can use the penalty cd and points. You can get up to 22 uses out of Norns while it is active (place with 9 AP saved then 4 turns of AP).

Honestly the power in these two are very dependent on the player. I hardly use Mythological creatures, tokens and God powers. And Bokkr screws up my military compositions.
(0032596)
Misery (reporter)
May 23, 2013 11:49 pm

Well, the way I figured it, for those that do use mythological units alot, such as myself, these 2 become absurdly strong. They have a decent cost to them... but it's only a tough cost in the early game (by mid-game, for me, it's nothing), and their very effect also works towards making it so that the next use of them is even easier to do, because you can put more space towards getting incense/diamond and such instead of the resources that they are allowing you to not have to use.

Dependant on the player indeed, but even something like Cornucopia is rather like that.

Not to mention that giving them a positive score goes against the way other tokens of that sort works. Pure-benefit tokens like those or Palladium or whatever really should have a negative score to them, so the decision on wether or not to use them is more difficult. Right now, there's often little reason NOT to use them. Particularly as the Norse seem to need less diamond than the Greek do.
(0032614)
x4000 (administrator)
May 24, 2013 3:56 pm

Fair enough!

* The cooldown on Brokkr has been increased a great deal, and the points from him are also now negative.
** However, the cost in steel that he requires has been halved.
** The same is true for Norns, except in this case it is the incense cost that has been reduced by 1/3rd.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
May 23, 2013 7:37 pm Misery New Issue
May 23, 2013 8:41 pm Cinth Note Added: 0032595
May 23, 2013 11:49 pm Misery Note Added: 0032596
May 24, 2013 3:56 pm x4000 Internal Weight => New
May 24, 2013 3:56 pm x4000 Note Added: 0032614
May 24, 2013 3:56 pm x4000 Status new => resolved
May 24, 2013 3:56 pm x4000 Fixed in Version => 1.002 Hunting Through Rubble
May 24, 2013 3:56 pm x4000 Resolution open => fixed
May 24, 2013 3:56 pm x4000 Assigned To => x4000
Apr 14, 2014 8:29 am x4000 Category Gameplay - Balance Issue => Balance Issue


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker